complexType "AssetValuation"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 2 attributes, 4 elements
Defined: | globally in fpml-valuation-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 5 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
definitionRef | = | xsd:IDREF
| >
Content: | objectReference?, valuationScenarioReference?, quote*, fxRate*
</...>

Content Model Elements (4):

  fxRate (defined in AssetValuation complexType),
  objectReference,
  quote (defined in AssetValuation complexType),
  valuationScenarioReference (defined in Valuation complexType)

All Direct / Indirect Based Elements (5):

  assetValuation, associatedValue, valuation (defined in AssetValuationOrReference.model group), | valuation (defined in Position complexType), valuation (defined in PositionWithoutId.model group)

Known Usage Locations

- As direct type of elements (5):

  assetValuation, associatedValue, valuation (defined in AssetValuationOrReference.model group), | valuation (defined in Position complexType), valuation (defined in PositionWithoutId.model group)

Annotation
A structure that holds a set of measures about an asset, including possibly their sensitivities.
Type Definition Detail

Type Derivation Tree Valuation (extension) AssetValuation

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="AssetValuation"> <xsd:complexContent> <xsd:extension base="Valuation"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="quote" type="Quotation"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="fxRate" type="FxRate"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/4)
fxRate

  Type: | FxRate, complex content

  Indicates the rate of a currency conversion that may have been used to compute valuations.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="fxRate" type="FxRate"/>

quote

  Type: | Quotation, complex content

  One or more numerical measures relating to the asset, possibly together with sensitivities of that measure to pricing inputs.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="quote" type="Quotation"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.